Results 1 to 3 of 3

Thread: problem with building on linux with webpack-plugin 1.0.3

  1. #1

    Default problem with building on linux with webpack-plugin 1.0.3

    After upgrading
    "@extjs/reactor-babel-plugin": "^1.0.2",
    "@extjs/reactor-webpack-plugin": "^1.0.3",


    on linux mint get this error:
    Code:
    building ExtReact bundle: ext => /home/igor/playground/my-ext-react-app/build/ext-react
    module.js:471
        throw err;
        ^
    
    
    Error: Cannot find module '@extjs/sencha-cmd-linux-64'
        at Function.Module._resolveFilename (module.js:469:15)
        at Function.resolve (internal/module.js:27:19)
        at Object.<anonymous> (/home/igor/playground/my-ext-react-app/node_modules/@extjs/sencha-cmd/bin/sencha:14:17)
        at Module._compile (module.js:570:32)
        at Object.Module._extensions..js (module.js:579:10)
        at Module.load (module.js:487:32)
        at tryModuleLoad (module.js:446:12)
        at Function.Module._load (module.js:438:3)
        at Module.runMain (module.js:604:10)
        at run (bootstrap_node.js:390:7)
    Time: 4600ms 
         Asset       Size  Chunks                    Chunk Names
     bundle.js    1.92 MB       0  [emitted]  [big]  main
    index.html  434 bytes          [emitted]         
    webpack: Compiled successfully.
    App is generated using yo generator which initially uses old version webpack-plugin and babel.
    Is there need to make additional confs?

  2. #2
    Sencha User Mark.Brocato's Avatar
    Join Date
    Mar 2015
    Location
    Maryland
    Posts
    482
    Answers
    114

    Default

    Try removing node_modules and rerunning npm install. There's a known issue with the sencha-cmd install script that results in an incomplete installation when upgrading from a previous version.

  3. #3

    Default

    Yes, it helps, thanks

Similar Threads

  1. Replies: 9
    Last Post: 16 Jun 2017, 7:54 AM
  2. Replies: 0
    Last Post: 26 May 2017, 8:36 AM
  3. [CLOSED] Error while building native application in Linux
    By amsoft in forum Sencha Touch 2.x: Bugs
    Replies: 16
    Last Post: 3 Jul 2014, 3:40 AM
  4. Error building packages - stbuild is not yet supported on linux
    By MT01 in forum Sencha Touch 2.x: Bugs
    Replies: 7
    Last Post: 29 May 2013, 6:54 AM
  5. [CLOSED] Error while building native application in Linux (ubuntu 10.04)
    By arpandhar in forum Sencha Touch 2.x: Bugs
    Replies: 1
    Last Post: 6 Nov 2012, 5:11 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •